This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 2081 - can't parse rpmrc
can't parse rpmrc
Status: CLOSED WORKSFORME
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-04-09 09:55 EDT by Steingold, Sam
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-04-09 10:31:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steingold, Sam 1999-04-09 09:55:59 EDT
please note that rpm --showrc > /etc/rpmrc doesn't work and
the format of the rpmrc file is not documented in either man
page of doc dir and the list of all options is also not
available.
$ rpm -q rpm
bad option 'signature' at /etc/rpmrc:2
bad option 'pgp_name' at /etc/rpmrc:3
bad option 'pgp_path' at /etc/rpmrc:4
rpm-2.94-4
$ cat /etc/rpmrc
## fixperms: a+rX,g+w,o-w
signature:	pgp
pgp_name:	sds
pgp_path:	/home/sds/.pgp/
$
Comment 1 Jeff Johnson 1999-04-09 10:31:59 EDT
The syntax (but not the functionality) has changed.

Put the following in /etc/rpm/macros (or ~/.rpmmacros)
	%_signature	pgp
	%_pgp_name	sds
	%_pgp_path	/home/sds/.pgp

You might also need
	%_pgpbin	/usr/bin/pgp

The complete list of macros (which mostly replaces the previous
comfiguration sysntax) is in /usr/lib/rpm/macros

Note You need to log in before you can comment on or make changes to this bug.